#
# spec file for package electricsheep
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Summary:  Screensaver showing collective dreams of sleeping computers
Name:     electricsheep
Version:  3.0.2
Release:  2%{?dist}
License:  GPL-2.0+
Source:   %{name}-%{version}.tar.xz


# see http://code.google.com/p/electricsheep/issues/detail?id=11
#+ passing define option to compiler, instead
# Patch:    %%{name}-ContentDecoder.patch
# pkg-config exposes lua instead of lua5.1
Patch2:   %{name}-configure.patch
# for kde desktop file
Patch3:   %{name}-Makefile.patch

#Patch4:   electricsheep-ffmpeg30.patch

URL:      http://electricsheep.org
Requires:       curl flam3
#Requires:       kdebase4-workspace
#BuildRequires:  kdebase4-workspace
BuildRequires:  hicolor-icon-theme
#BuildRequires:  update-desktop-files
BuildRequires:  fdupes
BuildRequires:  xz wxGTK3-devel GLee-devel libgtop2-devel
BuildRequires:  libpng-devel libjpeg-devel
BuildRequires:  pkgconfig libtool autoconf automake
BuildRequires:  make gcc gcc-c++ ffmpeg-devel flam3-devel
BuildRequires:  tinyxml-devel freeglut-devel 
#libGLee-devel libexpat-devel wxWidgets-devel 
BuildRequires:  boost-devel >= 1.41 libcurl-devel libXrender-devel
BuildRequires:  GLee-devel

# Only needed for openSUSE <= 12.1; lua51 was default there
%if 0%{?fedora} < 20
BuildRequires:  lua-devel
%else
BuildRequires:  compat-lua-devel
%endif
BuildRequires:  libX11-devel
# libavutil-devel provided by libffmpeg-devel
# BuildRequires: libavutil-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%description
Electric sheep is the collective dream of sleeping computers
from all over the internet. Less poetically, it is an Internet server and
xscreensaver module that displays MPEG video of an animated fractal flame.
In the background, it contributes render cycles to the next animation.
Periodically, it uploads completed frames to the server, where they are
compressed for distribution to all clients.

%prep
%setup -q -n client_generic
%patch2
%patch3 -p1

%build
%if 0%{?fedora} < 19
sed -i 's|wx-config|wx-config-2.9|g' configure.ac
%else
sed -i 's|wx-config|wx-config-3.0|g' configure.ac
%endif

# fix version number
sed -i 's|2.7b33-svn|%{version}-git|g' configure.ac

#I am in debt with Arch Linux folks
#+https://projects.archlinux.org/svntogit/community.git/commit/trunk?h=packages/electricsheep&id=88fd348d3434960902e4484d3ef654e53a591146
sed -i -e 's/AM_PROG_CC_STDC/AC_PROG_CC/' configure.ac
sed -i '12 i#include <cstdio>' Common/Singleton.h
#was compile-blocking (thanks ArchL.)
sed -i '\|-I /usr/include/libavutil|d;28s| \\$||' MSVC/SettingsGUI/Makefile.am
#sed -i 's|docdir = $(prefix)/share/doc/$(PACKAGE)-$(VERSION)|docdir = $(prefix)/share/doc/packages/$(PACKAGE)|' Makefile.am
sed -i 's|docdir = $(prefix)/share/doc/$(PACKAGE)-$(VERSION)|docdir = $(prefix)/share/doc/$(PACKAGE)|' Makefile.am
mkdir -p m4
autoupdate
./autogen.sh
export CPPFLAGS="$CPPFLAGS -DUSE_NEW_FFMPEG_API=1 -DGL_GLEXT_PROTOTYPES"
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -lpthread"
export SUSE_ASNEEDED=0

%configure --docdir=%{_docdir}
%{__make} %{?_smp_mflags} VERBOSE=1

%install
make DESTDIR=$RPM_BUILD_ROOT install 
sed -i '$aIcon=%{name}' %{buildroot}%{_datadir}/applications/ElectricSheep.desktop
sed -i '1i#! /bin/bash\n' %{buildroot}%{_bindir}/electricsheep-saver
sed -i '$aOnlyShowIn=GNOME;' %{buildroot}%{_datadir}/applications/screensavers/electricsheep.desktop
find %{buildroot}/%{_docdir}/%{name} -type f -empty -delete

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}
mv %{buildroot}/usr/lib/gnome-screensaver %{buildroot}%{_libdir}/
%endif

%fdupes %{buildroot}%{_datadir}

%files
%defattr(-, root, root)
#%{_defaultdocdir}/%{name}
%{_bindir}/*
%{_libdir}/gnome-screensaver/*
%{_datadir}/applications/screensavers/
%{_datadir}/kde4/services/ScreenSavers/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.xpm
%doc %{_docdir}/%{name}/Instructions.rtf 
%doc %{_docdir}/%{name}/License.rtf

%changelog
* Thu May 09 2019 josef radinger <cheese@nosuchhost.net> - 3.0.2-2
- remove Group from spec-file
- remove post and postun-scripts

* Wed May 01 2019 josef radinger <cheese@nosuchhost.net> - 3.0.2-1
- bump version
- patch4 no longer needed
- add -DGL_GLEXT_PROTOTYPES to fix compile
- add -lpthread to fix linking
- clean specfile
- fix version number

* Wed Oct 26 2016 josef radinger <cheese@nosuchhost.net> - 2.7b33svn.151-5
- update ffmpeg.patch

* Tue Jul 12 2016 josef radinger <cheese@nosuchhost.net> - 2.7b33svn.151-4
- add patch4

* Sun Jun 29 2014 josef radinger <cheese@nosuchhost.net> - 2.7b33svn.151-3
- rebuild with dist-flag set

* Sun Mar 16 2014 josef radinger <cheese@nosuchhost.net> - 2.7b33svn.151-2
- rebuild
- wx 3.0

* Sat Mar 08 2014 josef radinger <cheese@nosuchhost.net> - 2.7b33svn.151-1
- bump version
- massage patch for Makefile

* Fri Mar 07 2014 josef radinger <cheese@nosuchhost.net> - 2.7b33svn.139-2.3
- rebuild for fedora
- fix lua-5.1
- add BuildRequires GLee-devel
- fix docdir

* Sun Apr 28 2013 fa0sck@gmail.com
- New version: 2.7b33-svn (http://code.google.com/p/electricsheep/)
  Tue Sep  4 00:00:00 UTC 2007 - LenzGr
- Initial build 2.6.8 (?).
